package com.webchat.rmi.pay;

import com.webchat.common.bean.APIResponseBean;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.math.BigDecimal;

@FeignClient(name = "webchat-pay-service")
public interface PayServiceClient {


    @GetMapping("/pay/wallet/balance/{userId}")
    APIResponseBean<BigDecimal> getBalance(@PathVariable String userId);

}
